Return a Promotion
Returns a Promotion
GET
/
api
/
v2
/
platform
/
promotions
/
{id}
Return a Promotion
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/promotions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/promotions/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "44",
"type": "promotion",
"attributes": {
"description": null,
"expires_at": null,
"starts_at": null,
"name": "Promo",
"type": null,
"usage_limit": null,
"match_policy": "all",
"code": null,
"advertise": false,
"path": null,
"created_at": "2022-11-08T19:35:03.971Z",
"updated_at": "2022-11-08T19:35:03.973Z",
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"promotion_category": {
"data": {
"id": "17",
"type": "promotion_category"
}
},
"promotion_rules": {
"data": [
{
"id": "16",
"type": "promotion_rule"
}
]
},
"promotion_actions": {
"data": [
{
"id": "31",
"type": "promotion_action"
}
]
},
"stores": {
"data": [
{
"id": "387",
"type": "store"
}
]
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Response
Record found
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Return a Promotion
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/promotions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/promotions/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "44",
"type": "promotion",
"attributes": {
"description": null,
"expires_at": null,
"starts_at": null,
"name": "Promo",
"type": null,
"usage_limit": null,
"match_policy": "all",
"code": null,
"advertise": false,
"path": null,
"created_at": "2022-11-08T19:35:03.971Z",
"updated_at": "2022-11-08T19:35:03.973Z",
"public_metadata": {},
"private_metadata": {}
},
"relationships": {
"promotion_category": {
"data": {
"id": "17",
"type": "promotion_category"
}
},
"promotion_rules": {
"data": [
{
"id": "16",
"type": "promotion_rule"
}
]
},
"promotion_actions": {
"data": [
{
"id": "31",
"type": "promotion_action"
}
]
},
"stores": {
"data": [
{
"id": "387",
"type": "store"
}
]
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}
